RADDEPEND(1)

NAME
raddepend - find RADIANCE scene dependencies

SYNOPSIS
raddepend file ..

DESCRIPTION
Raddepend uses getbbox(1) to expand scene file arguments and find file dependencies for make(1) or rad(1). Raddepend looks only in the current directory, so dependencies hidden elsewhere in the filesystem will not be found or named.

The output is the name of files, one per line, that were accessed during the expansion of the input file arguments. The file arguments are excluded from the list. If no input files are given, the standard input is read.

AUTHOR
Greg Ward

BUGS
On some older NFS systems, the file access dates are not updated promptly. As a result, raddepend may not be 100% reliable on these systems. If the output seems to be missing essential files, this is no doubt why. The only fix is to put in a longer sleep time between the getbbox call and the final ls(1).

SEE ALSO
make(1), oconv(1), rad(1), xform(1)